Skip to main content

Delete Private Endpoint (V2)

Deletes a private endpoint from a project.

DELETE/v2/projects/{projectId}/privateEndpoints/{endpointId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired

The ID of the project.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
endpointIdstringpathrequired

The ID of the private endpoint.

Example Value: vpce-xxxxxxxxxxxxxxxxx
regionIdstringqueryrequired

The ID of the cloud region that contains the private endpoint.

Example Value: aws-us-west-2
gcpProjectIdstringquery

The Google Cloud project ID. This parameter applies to Google Cloud regions.

bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"
export endpointId="vpce-xxxxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints/${endpointId}?regionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired

The deleted private endpoint identifier.

endpointIdstring

The deleted private endpoint ID.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"endpointId": "vpce-xxxxxxxxxxxxxxxxx"
}
}
Ctrl I